Skip to main content
Update a study
curl --request PATCH \
  --url https://api.ionworks.com/projects/{project_id}/studies/{study_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "name": "<string>",
  "project_id": "<string>",
  "id": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "organization_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

project_id
string
required
study_id
string
required

Body

application/json
name
string | null

The new name of the study.

description
string | null

The new optional description for the study.

Response

Successful Response

name
string
required

The name of the study.

project_id
string
required

The ID of the project this study belongs to.

id
string
required

The unique identifier for the study.

created_at
string<date-time>
required

Timestamp of when the study was created.

updated_at
string<date-time>
required

Timestamp of when the study was last updated.

description
string | null

An optional description for the study.

organization_id
string | null

Organization this study belongs to.